Skip to main content
POST
/
v1
/
alerts
/
{alert_uuid}
/
findings
Add Finding
curl --request POST \
  --url https://api.example.com/v1/alerts/{alert_uuid}/findings \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_name": "<string>",
  "summary": "<string>",
  "confidence": "low",
  "recommended_action": "<string>",
  "evidence": {}
}
'
{
  "data": {
    "id": "<string>",
    "agent_name": "<string>",
    "summary": "<string>",
    "confidence": "low",
    "recommended_action": "<string>",
    "evidence": {},
    "posted_at": "2023-11-07T05:31:56Z"
  },
  "meta": {}
}

Path Parameters

alert_uuid
string<uuid>
required

Body

application/json

Agent finding posted to POST /v1/alerts/{uuid}/findings.

agent_name
string
required
Required string length: 1 - 255
summary
string
required
Required string length: 1 - 50000
confidence
enum<string> | null
Available options:
low,
medium,
high
evidence
Evidence · object

Response

Successful Response

data
FindingResponse · object
required

Response from POST /v1/alerts/{uuid}/findings and items in GET list.

meta
Meta · object